Subject: bug#59448: 29.0.50; URIs in Dictionary are not properly handled

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Nov 2022 13:45:48 +0200

> From: Gabriel <[email-masked]>
> Date: Mon, 21 Nov 2022 11:52:42 -0300
> 
> URIs (http, mail, news, ftp etc) in Dictionary are not properly handled.
> It means that URIs are treated like a regular search phrase, which is
> not really useful for `dictionary-search' (since most will not return
> any results) and no default mechanism is available to follow such URIs.
> 
> Steps:
> 
> 1) emacs -q (master "6b0179f7908c658342d1e642e5444e3d2e1cd997")
> 
> 2) Run `dictionary-search' with some search word whose results contains
> URIs in dict.org, for example:
> 
>   M-x dictionary-search RET emacs  RET
>   M-x dictionary-search RET fsf    RET
>   M-x dictionary-search RET w3c    RET
>   M-x dictionary-search RET python RET
>   M-x dictionary-search RET ruby   RET
> 
> Actual result: URIs are treated like a regular search phrase, in which
> RET will execute `dictionary-new-search' will not find any results.

Sorry, I'm not following.  I tried "emacs", "fsf", and "w3c", and I seem to
get reasonable results.  For example, here's what I see for "w3c":

  [Back] [Search definition]         [Matching words]        [Quit]
	 [Select dictionary]         [Select match strategy]

  2 definitions found

  From V.E.R.A. -- Virtual Entity of Relevant Acronyms (February 2016) [vera]:

  W3C
	 World Wide Web Consortium (WWW, org.)

  From The Free On-line Dictionary of Computing (30 December 2018) [foldoc]:

  World Wide Web Consortium
  W3C
  W3 Consortium

     <web, body> (W3C) The main standards body for the
     web.  W3C works with the global community to
     establish international standards for client and server
     protocols that enable on-line commerce and communications on
     the Internet.  It also produces reference software.

     W3C was created by the Massachusetts Institute of Technology
     (MIT) on 25 October 1994.  Netscape Communications
     Corporation was a founding member.  The Consortium is run by
     MIT LCS and INRIA, in collaboration with CERN where the
     web originated.  W3C is funded by industrial members but its
     products are freely available to all.  The director is Tim
     Berners-Lee who invented the web at the Center
     for European Particle Research (CERN).

     (http://w3.org/).

     (1996-11-03)

What exactly is wrong with that?  What am I missing?  And how is handling of
URIs related to this?

> Compare with EWW behavior:
> 
> 1) emacs -q (master "6b0179f7908c658342d1e642e5444e3d2e1cd997"
> 
> 2) M-x eww RET
> 
> 3) Search for some search word whose results contains URIs, for example:

Search how? what do you type at the prompt of "M-x eww"?  And what do you
type afterwards to search for some word?

Thanks.